* {
	margin: 0;
	padding: 0;
}

html {
	font-family: Helvetica, sans-serif;
	font-size: 16px;
	height: 100%;
}

body {
	background-color: lightgray;
	color: black;
	height: 100%;
	line-height: 1.25;
}

.wrapper {
	align-items: center;
	display: flex;
	height: 100vh;
	justify-content: space-evenly;
}

.spreadsheet {
    background-color: white;
    border-radius: 0.5rem;
    box-shadow: 1px 1px 3px gray;
    overflow: hidden;
}

table {
    border-collapse: collapse;
    cursor: pointer;
}

thead {
    cursor: default;
}

th {
    background-color: lightgray;
    border-bottom: 1px solid lightgray;
    font-weight: normal;
    padding: 1rem 2rem;
}

th:not(:first-of-type) {
    border-left: 1px solid lightgray;
}

th:not(:last-of-type) {
    border-right: 1px solid lightgray;
}

td {
    color: gray;
    padding: 1rem 2rem;
    text-align: center;
    transition: background-color 0.15s ease-in-out, color 0.15s ease-in-out;
}

td:not(:first-of-type) {
    border-left: 1px solid lightgray;
}

td:not(:last-of-type) {
    border-right: 1px solid lightgray;
}

tbody tr:not(:first-of-type) td {
    border-top: 1px solid lightgray;
}

tbody tr:not(:last-of-type) td {
    border-bottom: 1px solid lightgray;
}

.selected-fruit-basket td {
    color: black;
}

tbody tr:focus .apples-data,
tbody tr:hover .apples-data,
tbody tr:active .apples-data {
    background-color: pink;
}

tbody tr:focus .oranges-data,
tbody tr:hover .oranges-data,
tbody tr:active .oranges-data {
    background-color: lightsalmon;
}

.chartwrapper {
    background-color: white;
    border-radius: 0.5rem;
    box-shadow: 1px 1px 3px gray;
    overflow: hidden;
    padding: 2rem;
    width: 250px;
    height: 250px;
}

canvas {
    pointer-events: none;
}